<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Stock {{nombreEliminar}}?</p>
                <p>Este proceso podría afectar la cantidad de productos en stock</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>


<div class="">
    <div class="col-sm-12 titulo text-center">
        Stock
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>
<br>
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">
        <div class="row">

            <div class="col-sm-6">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Nombre del Producto"
                        class="form-control" />
                </div>
            </div>
            <div class="col-sm-6">
               
                <div class="input-group mb-3">

                    <label class="input-group-text colorBuscar"
                        for="proceso">Proceso</label>
                    <select class="form-select" id="proceso"
                        name="proceso"
                        (change)="procesoSeleccionado($event)">
                        <option value="3">Todos</option>
                        <option value="1">Venta</option>
                        <option value="0">Ingreso</option>
                    </select>
                </div>
            </div>
        
        <div class="col-lg-6 col-md-12">
            <div class="input-group mb-3">
                <label class="input-group-text colorBuscar" for="valOrden">F.
                    Inicio</label>
                <div class="input-group" style="width: 70%;">
                    <input readonly class="form-control"
                        placeholder="yyyy-mm-dd"
                        name="finicio" id="finicio" [(ngModel)]="vaFInicio"
                        ngbDatepicker #d="ngbDatepicker">
                    <div class="input-group-append">
                        <button class="btn botonC"
                            (click)="d.toggle()" type="button">
                            <i class="fa fa-calendar"
                                aria-hidden="true"></i>
                        </button>

                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6 col-md-12">
            <div class="input-group mb-3">
                <label class="input-group-text colorBuscar" for="valOrden">F.
                    Final</label>
                <div class="input-group" style="width: 75%;">
                    <input readonly class="form-control"
                        placeholder="yyyy-mm-dd"
                        name="ffin" id="ffin" [(ngModel)]="vaFFin"
                        ngbDatepicker #e="ngbDatepicker">
                    <div class="input-group-append">
                        <button class="btn botonC"
                            (click)="e.toggle()" type="button">
                            <i class="fa fa-calendar"
                                aria-hidden="true"></i>
                        </button>

                    </div>
                </div>
            </div>
        </div>
        <p style="color: red;" *ngIf="estadoFecha">{{errorFecha}}</p>
    
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">
            <button class=" btn boton" (click)="buscarPorFechas()">
                <a>Filtrar</a>
            </button>    
            <button class=" btn boton" (click)="buscarTodos()">
                <a>Mostrar Todos</a>
            </button>
            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
    </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Producto</td>
                    <td>Usuario</td>
                    <td>Fecha</td>
                    <td>Proceso</td>
                    <td>Cantidad</td>
                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of stocks.slice((page-1) *
                    pageSize,page * pageSize)" ng-click="selectPerson(persona)">
                    <td>{{ datos.nombreproducto }}</td>
                    <td>{{ datos.nombreusuario }}</td>
                    <td>{{ datos.fecha }}</td>
                    <td>{{ datos.proceso == 0 ? 'Ingreso' : datos.proceso == 1 ? 'Venta' : 'Cancelado' }}</td>
                    <td>{{ datos.valor }}</td>

                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar && datos.proceso == 0 && calcularDiferenciaMinutos(datos.fecha) <= 15"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarStock(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar && datos.proceso == 0 && calcularDiferenciaMinutos(datos.fecha) <= 15"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombreproducto)"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="stocks.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12 ">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">

                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="input-group mb-3">
                                    <label class="input-group-text colorBuscar"
                                        for="categoria">Productos</label>
                                    <select class="form-select" id="categoria"
                                        name="categoria"
                                        [(ngModel)]="stock.producto">
                                        <option value="0">Seleccionar Producto</option>
                                        <option *ngFor="let datos of productos"
                                            [value]="datos.id">
                                            {{datos.nombre}}
                                        </option>

                                    </select>
                                </div>
                                <label class="form-label error" for="tabla"
                                    *ngIf="errorProducto">{{strProducto}}</label>
                            </div>

                        </div>


                        
                        <br>
                        <div class="row">
                            <div class="col-sm-12">
                                <label for="valor" class="form-label">Cantidad</label>
                                <input 
                                    type="number" 
                                    [maxlength]="100"
                                    min="0"
                                    step="1"
                                    id="valor" 
                                    name="valor"
                                    [(ngModel)]="stock.valor"
                                    placeholder="Cantidad" 
                                    class="form-control"
                                    (input)="validarEntero($event)"/>
                                <label class="form-label error" for="valor"
                                    *ngIf="errorValor">{{strValor}}</label>
                            </div>
                        </div>
                        <br>
                        
                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                        <button type="submit" class="btn btn-danger"
                        (click)="cancelar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>
                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>